# Class: YARD::Handlers::Ruby::VisibilityHandler

Inherits:
  Base
  - Object
  - Handlers::Base
  - Base
  - YARD::Handlers::Ruby::VisibilityHandler
  show all

Includes:
  DecoratorHandlerMethods

Defined in:
  lib/yard/handlers/ruby/visibility_handler.rb

## Overview

Handles ‘private’, ‘protected’, and ‘public’ calls.

## Instance Method Summary collapse

- #is_attribute_method?(node) ⇒ Boolean

### Methods included from DecoratorHandlerMethods

#process_decorator

### Methods included from Parser::Ruby

#s

## Instance Method Details

### #is_attribute_method?(node) ⇒ `Boolean`

Returns:

- (`Boolean`)

    32
    33
    34

    # File 'lib/yard/handlers/ruby/visibility_handler.rb', line 32

    def is_attribute_method?(node)
      node.type == :command && node.jump(:ident).first.to_s =~ /^attr_(accessor|writer|reader)$/
    end